> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Interoperability Protocols

> Returns a complete list of all available interoperability (bridging) protocols supported by Messari, along with metrics. Protocol data represents an aggregation across all chain deployments.



## OpenAPI

````yaml GET /metrics/v2/protocols/interop
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V2
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v2/protocols/interop:
    get:
      tags:
        - metrics/protocols/interop
      summary: List interoperability protocols
      description: >-
        Returns a complete list of all available interoperability (bridging)
        protocols supported by Messari, along with metrics. Protocol data
        represents an aggregation across all chain deployments.
      operationId: getInteropProtocolsV2
      parameters:
        - description: Page number (1-indexed)
          in: query
          name: page
          schema:
            format: int64
            type: integer
            example: 1
            default: 1
        - description: Number of results per page
          in: query
          name: limit
          schema:
            format: int64
            type: integer
            example: 10
            default: 10
        - description: 'Column to sort by (default: tvl_usd)'
          in: query
          name: sort
          schema:
            type: string
            enum:
              - tvl_usd
              - active_addresses
              - fees_usd
              - fees_supply_side_usd
              - expenses_usd
              - dex_volume_usd
              - borrowed_usd
              - treasury_usd
            default: tvl_usd
        - description: 'Sort direction: asc or desc (default: desc)'
          in: query
          name: order
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                  error:
                    type: string
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  data:
                    - id: f8c4483b-ce35-4911-85ed-dd3e0acbe168
                      name: Across
                      slug: across
                      activity:
                        tvl24HourUsd: 17962588.25749314
                        activeAddresses24Hour: 4062
                        fees24HourUsd: 1586.7809263242157
                      interop:
                        feesSupplySide24HourUsd: 1586.7809263242157
                        expenses24HourUsd: 5.614884822765095
                        treasuryUsd: 10768067.89101094
                        transferVolume24HourUsd: 22684158.057731938
                        transactionCount24Hour: null
                        coreDevelopers: 16
                        codeCommits: 2
                    - id: 4f989070-a487-49dd-a9bb-0a02e49bde9d
                      name: Synapse
                      slug: synapse
                      activity:
                        tvl24HourUsd: 9339601.74312462
                        activeAddresses24Hour: 4
                        fees24HourUsd: 0
                      interop:
                        feesSupplySide24HourUsd: 0
                        expenses24HourUsd: 5.75160455987214
                        treasuryUsd: null
                        transferVolume24HourUsd: 0.3999306009662249
                        transactionCount24Hour: null
                        coreDevelopers: 0
                        codeCommits: 0
                    - id: 1226ed3e-631a-4eaf-ac40-3e528b2435ef
                      name: Ren
                      slug: ren-3
                      activity:
                        tvl24HourUsd: null
                        activeAddresses24Hour: 12
                        fees24HourUsd: 0
                      interop:
                        feesSupplySide24HourUsd: 0
                        expenses24HourUsd: 0
                        treasuryUsd: null
                        transferVolume24HourUsd: 0
                        transactionCount24Hour: null
                        coreDevelopers: 0
                        codeCommits: 0
                    - id: 2484e536-2a6f-4981-9fa6-64a9fb268c2f
                      name: Gravity
                      slug: g-token
                      activity:
                        tvl24HourUsd: null
                        activeAddresses24Hour: 686
                        fees24HourUsd: 1.4322405200351236
                      interop:
                        feesSupplySide24HourUsd: 0
                        expenses24HourUsd: 0
                        treasuryUsd: null
                        transferVolume24HourUsd: null
                        transactionCount24Hour: 6567
                        coreDevelopers: 6
                        codeCommits: 0
                    - id: 26c5a44d-cd59-4cfc-8568-bb24c15061c5
                      name: Hyperbridge
                      slug: hyperbridge
                      activity:
                        tvl24HourUsd: null
                        activeAddresses24Hour: 2897
                        fees24HourUsd: 6.9662e-14
                      interop:
                        feesSupplySide24HourUsd: 6.9662e-14
                        expenses24HourUsd: 0
                        treasuryUsd: null
                        transferVolume24HourUsd: 0
                        transactionCount24Hour: 69888
                        coreDevelopers: null
                        codeCommits: null
                  metadata:
                    pageSize: 10
                    page: 1
                    totalRows: 10
                    totalPages: 1
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.